Request to send money
Create a "request to send money" that will require approval based on your organization's approval policies.
Authentication
AuthorizationBearer
Bearer token authentication for Mercury API.
Use your API token in the Authorization header:
Authorization: Bearer TOKEN
Example:
Authorization: Bearer secret-token:mercury_production_wma_24SCp4G81X3yHL4Wq8FgzuaP9ye3VKf2mgTDctXyRg5HY_yrucrem
Your Mercury API token should include the ‘secret-token:’ prefix. Tokens can be generated from your Mercury dashboard settings.
Path parameters
accountId
Request
This endpoint expects an object.
amount
Amount of USD you want to send, must be a positive number.
idempotencyKey
Unique string identifying the transaction
paymentMethod
Payment method to use.
Allowed values:
recipientId
Recipient ID from the /recipients endpoint.
externalMemo
Optional external memo
note
Optional note
Response
accountId
ID for a Mercury account.
amount
A positive dollar amount with at least 1 cent.
createdAt
paymentMethod
Allowed values:
recipientId
ID for a Mercury account.
requestId
requestedByUserId
reviews
Approval decisions recorded against this request, ordered from
oldest to most recent.
status
The approval status of a send money request.
Allowed values:
memo
numberOfApproversRequired
Total number of approvals required for this payment to be sent.
May be null for older requests where the requirement is not available.
scheduledSendDate
Errors
400
Bad Request Error
404
Not Found Error

